Subject: bug#44769: [staging] gst-plugins-bad fails tests on aarch64, armhf, i686

From: Marius Bakke <[email-masked]>
Date: Fri, 20 Nov 2020 22:16:03 +0100

Hello Guix,

gst-plugins-bad fails its test suite on anything other than x86_64-linux.

Upstream issues:

  i686: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1463
  aarch64: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1464

(I believe the i686 issue affects armhf too)

This issue is currently holding up merging of 'staging' because
gst-plugins-bad is a dependency of 'cheese', which is a dependency of
'gnome'.

To move on with the merge, I wonder whether to:

1. Disable the affected tests, as upstream does not seem terribly
   concerned.
2. Drop 'cheese' from 'gnome'.

I'm leaning towards 2, as the AArch64 failure looks kind of serious.
Unfortunately 'cheese' does seem to require gst-plugins-bad.

Thoughts?